#version 150

// vertexPosition was bound to attribute index 0 and vertexColor was bound to attribute index 1
in vec3 vertexPosition;
in vec3 vertexNormal;
in vec4 vertexColor;
in vec2 vertexTextureUV;
 
// Our outputs the next shader (fragment) in the chain
out vec3 fragmentNormal;
out vec4 fragmentColor;
out vec2 fragmentTextureUV;

uniform mat4 mvpMatrix;
uniform mat4 modelViewMatrix;
uniform mat4 modelMatrix;

void main(void)
{
	gl_Position = vec4(vertexPosition, 1.0) * mvpMatrix;

	fragmentNormal = vec3(normalize(vec4(vertexNormal, 0.0) * modelMatrix));

	//float nDotL = max(dot(fragmentNormal, vec3(sunLightDirection)), 0.0);
	//fragmentColor = vec4(nDotL * vec3(vertexColor), 1.0);

	fragmentColor = vertexColor;
	fragmentTextureUV = vertexTextureUV;
}
